#ifndef __simplify_h_
#define __simplify_h_

#include "GL/glut.h"

#include "change.h"
#include "bheap.h"

namespace	VMI
{
extern GLdouble computeEdgeCost(Mesh *mesh, int e);

extern bheap_t *initHeap(Mesh *mesh);

extern bheap_t *updateHeap(bheap_t *h, Mesh *mesh, Change *c);

extern void simplifyModel(Mesh *mesh, GLuint numDemandedTri);


extern void bh_mydump(Mesh *mesh, bheap_t *h);
extern GLdouble computeEdgeLength(Vertex *vertices, int u, int v);

extern void swap(unsigned int *i, unsigned int *j);
extern void chooseBestEndPoints(Mesh *mesh, int e);

}

#endif
