#ifndef __color_h_
#define __color_h_

#include "GL/glut.h"

#define MAX_NUM_COLORS 1020 // (256 + 256 + 256 + 256) - 4 R G B A
#define BACKGROUND        0 // Background color


namespace	VMI
{
typedef struct _Color {
    GLubyte r, g, b, a;
} Color;

extern Color *initColors(GLuint numTriangles);
extern void fillAllColors(Color *colors, GLuint numTriangles, GLuint begin, GLuint end, GLubyte color);
extern void setColors(Color *colors, GLuint numPasses, GLuint begin, GLuint end);
extern void setColors2(Color *colors, GLuint numTriangles, GLuint begin, GLuint end);
extern void setColors3(Color *colors, GLuint numTriangles, GLubyte color);
extern void setColors4(Color *colors, GLuint numTriangles);
extern void viewColors(Color *colors, GLuint numTriangles);

}

#endif
